View Issue Details

IDProjectCategoryView StatusLast Update
0004282SymmetricDS ProBugpublic2020-02-14 12:45
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.4 
Target Version3.10.10Fixed in Version3.10.10 
Summary0004282: Data load wizard truncate sym_node error
DescriptionThe data load wizard sends a custom "truncate table x" statement as a SQL event, but the the table_name and trigger_hist are for sym_node. The database writer changes the SQL to use the target table indicated (sym_node) so it can properly use catalog/schema and quoting, but the table name is now wrong.
TagsNo tags attached.

Activities

elong

2020-02-11 12:46

developer   ~0001682

This appears to be a compatibility bug. In 3.8, the table_name/trigger_hist used on the SQL event is SYM_NODE, while in 3.10 it uses the user's table.

Related Changesets

SymmetricDS: 3.11 36b59e15

2020-02-12 09:15:07

admin

Details Diff
0004282: Data load wizard truncate sym_node error
0004282
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File

SymmetricDS: 3.10 3a723ee6

2020-02-12 09:15:46

admin

Details Diff
0004282: Data load wizard truncate sym_node error
0004282
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2020-02-11 12:37 elong New Issue
2020-02-11 12:46 elong Note Added: 0001682
2020-02-12 09:16 elong Assigned To => elong
2020-02-12 09:16 elong Status new => resolved
2020-02-12 09:16 elong Resolution open => fixed
2020-02-12 09:16 elong Fixed in Version => 3.10.10
2020-02-12 10:00 admin Changeset attached => SymmetricDS 3.10 3a723ee6
2020-02-12 10:00 admin Changeset attached => SymmetricDS 3.11 36b59e15
2020-02-14 12:45 elong Status resolved => closed